org.bdgenomics.adam.io

## Class InterleavedFastqInputFormat.InterleavedFastqRecordReader

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordReader<Void,org.apache.hadoop.io.Text>
  - - org.bdgenomics.adam.io.InterleavedFastqInputFormat.InterleavedFastqRecordReader

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  InterleavedFastqInputFormat

    public static class InterleavedFastqInputFormat.InterleavedFastqRecordReader
    extends org.apache.hadoop.mapreduce.RecordReader<Void,org.apache.hadoop.io.Text>

### Constructor Summary

Constructors
Constructor and Description
`InterleavedFastqRecordReader(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.mapreduce.lib.input.FileSplit split)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close this RecordReader to future operations.
`org.apache.hadoop.io.Text` `createKey()` Create an object of the appropriate type to be used as a key.
`org.apache.hadoop.io.Text` `createValue()` Create an object of the appropriate type to be used as a value.
`Void` `getCurrentKey()` Added to use mapreduce API.
`org.apache.hadoop.io.Text` `getCurrentValue()` Added to use mapreduce API.
`long` `getPos()` Returns the current position in the input.
`float` `getProgress()` How much of the input has the RecordReader consumed i.e.
`void` `initialize(org.apache.hadoop.mapreduce.InputSplit split, org.apache.hadoop.mapreduce.TaskAttemptContext context)` Added to use mapreduce API.
`protected boolean` `lowLevelFastqRead(org.apache.hadoop.io.Text readName, org.apache.hadoop.io.Text value)`
`String` `makePositionMessage()`
`boolean` `next(org.apache.hadoop.io.Text value)` Reads the next key/value pair from the input for processing.
`boolean` `nextKeyValue()` Added to use mapreduce API.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InterleavedFastqRecordReader

    public InterleavedFastqRecordReader(org.apache.hadoop.conf.Configuration conf,
                                        org.apache.hadoop.mapreduce.lib.input.FileSplit split)
                                 throws IOException

Throws:
  `IOException`

### Method Detail

#### initialize

    public void initialize(org.apache.hadoop.mapreduce.InputSplit split,
                           org.apache.hadoop.mapreduce.TaskAttemptContext context)
                    throws IOException,
                           InterruptedException

Added to use mapreduce API.

Specified by:
  `initialize` in class `org.apache.hadoop.mapreduce.RecordReader<Void,org.apache.hadoop.io.Text>`
Throws:
  `IOException`
  `InterruptedException`

#### getCurrentKey

    public Void getCurrentKey()

Added to use mapreduce API.

Specified by:
  `getCurrentKey` in class `org.apache.hadoop.mapreduce.RecordReader<Void,org.apache.hadoop.io.Text>`

#### getCurrentValue

    public org.apache.hadoop.io.Text getCurrentValue()

Added to use mapreduce API.

Specified by:
  `getCurrentValue` in class `org.apache.hadoop.mapreduce.RecordReader<Void,org.apache.hadoop.io.Text>`

#### nextKeyValue

    public boolean nextKeyValue()
                         throws IOException,
                                InterruptedException

Added to use mapreduce API.

Specified by:
  `nextKeyValue` in class `org.apache.hadoop.mapreduce.RecordReader<Void,org.apache.hadoop.io.Text>`
Throws:
  `IOException`
  `InterruptedException`

#### close

    public void close()
               throws IOException

Close this RecordReader to future operations.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `org.apache.hadoop.mapreduce.RecordReader<Void,org.apache.hadoop.io.Text>`
Throws:
  `IOException`

#### createKey

    public org.apache.hadoop.io.Text createKey()

Create an object of the appropriate type to be used as a key.

#### createValue

    public org.apache.hadoop.io.Text createValue()

Create an object of the appropriate type to be used as a value.

#### getPos

    public long getPos()

Returns the current position in the input.

#### getProgress

    public float getProgress()

How much of the input has the RecordReader consumed i.e.

Specified by:
  `getProgress` in class `org.apache.hadoop.mapreduce.RecordReader<Void,org.apache.hadoop.io.Text>`

#### makePositionMessage

    public String makePositionMessage()

#### lowLevelFastqRead

    protected boolean lowLevelFastqRead(org.apache.hadoop.io.Text readName,
                                        org.apache.hadoop.io.Text value)
                                 throws IOException

Throws:
  `IOException`

#### next

    public boolean next(org.apache.hadoop.io.Text value)
                 throws IOException

Reads the next key/value pair from the input for processing.

Throws:
  `IOException`